LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Networking (http://www.linuxquestions.org/questions/linux-networking-3/)
-   -   Cisco VPN-Client (http://www.linuxquestions.org/questions/linux-networking-3/cisco-vpn-client-102116/)

nodream 10-09-2003 01:10 PM

Cisco VPN-Client
 
I am having trouble installing an cisco-vpn client in linux.
Currently under RedHat 9 (have tried some different distros also)

When trying to install the Cisco VPN-Clinet version
3.5.1 and
3.6
I get this error : "cisco_ipsec is compiled using gcc 2 and the kernel is compiled using gcc 3, this is known to fail" (rougly)

When trying to install the Cisco VPN-Clinet version
3.7.3 and
4.0
I get this error : "cisco_ipsec will taint the kernel" when trying to start the vpn client.
And this error : "Incorrectly built binary which accesses errno, h_errno or _res directly. Needs to be fixed." when trying to connect.



Full output (whitout install) of 4.0 client messages :
--------------------------------------------------------------------------------

[root@xxxxx vpn]# /etc/init.d/vpnclient_init start
Starting /usr/local/bin/vpnclient: Warning: loading /lib/modules/2.4.20-8/CiscoVPN/cisco_ipsec will taint the kernel: no license
See tux.org/lkml/#export-tainted for information about tainted modules
Module cisco_ipsec loaded, with warnings
Done
[root@xxxxx vpn]# vpnclient connect me
Cisco Systems VPN Client Version 4.0 (Rel)
Copyright (C) 1998-2003 Cisco Systems, Inc. All Rights Reserved.
Client Type(s): Linux
Running on: Linux 2.4.20-8 #1 Thu Mar 13 17:54:28 EST 2003 i686

Incorrectly built binary which accesses errno, h_errno or _res directly. Needs to be fixed.
Initializing the VPN connection.
Contacting the gateway at xxx.xxx.xxx.xxx
Secure VPN Connection terminated locally by the Client
Reason: Remote peer is no longer responding.
There are no new notification messages at this time.
[root@xxxxx vpn]#

----------------------------------------------------------------------------------
(net address refered to by " See : " error msg. partially removed due to url-posting policy.)

ikarusje 11-25-2003 11:18 AM

Same problem, where are the answers?
 
see title

nodream 11-30-2003 01:47 PM

I've finally got it working...
There is a known problem whit this the client you need to use is version : 4.0.1.A-k9

Hope it works for you as it did for me...

Tafta 12-23-2003 05:36 PM

where did you get the package?
it's for free or not ?

Thank you


All times are GMT -5. The time now is 08:26 PM.